Voice Menus & PBX (IVR)
All operations require authentication.
Sounds attached to this telephony accountProduction
Response
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ sounds \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a soundProduction
Get a sound. Returns the sound: filename, description, creation date, size, and the URLs to download and upload the sound file.
Path parameters
Sound ID
Response
Sound creation date
Sound description
Sound filename
URL to get sound file
Sound ID
URL to upload sound file
Sound file size (in bytes)
Example uses id = 0
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ sounds/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "creationDate": "2024-01-01T12:00:00Z", "description": "string", "filename": "string", "getUrl": "string", "id": 0, "putUrl": "string", "size": 0}
Create a soundProduction
Create a sound. Creates a sound from an uploaded file. Sets its filename and description, and returns the sound with the URL to upload the file.
Request body (required)
Sound description
Sound filename
Response
Sound creation date
Sound description
Sound filename
URL to get sound file
Sound ID
URL to upload sound file
Sound file size (in bytes)
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ sounds \
-H "authorization: Bearer $OVH_TOKEN"{ "creationDate": "2024-01-01T12:00:00Z", "description": "string", "filename": "string", "getUrl": "string", "id": 0, "putUrl": "string", "size": 0}
Delete a soundProduction
Delete a sound. Deletes the sound and its file. It can no longer be played by the telephony services.
Path parameters
Sound ID
Response
Example uses id = 0
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ sounds/ {id} \
-H "authorization: Bearer $OVH_TOKEN"Update a soundProduction
Update a sound. Updates the sound filename and description. The sound file itself is uploaded with the upload URL of the sound.
Path parameters
Sound ID
Request body (required)
Sound creation date
Sound description
Sound filename
URL to get sound file
Sound ID
URL to upload sound file
Sound file size (in bytes)
Response
Example uses id = 0
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ sounds/ {id} \
-H "authorization: Bearer $OVH_TOKEN"List PBX servicesProduction
List PBX services. Returns the PBX services of the billing account: voice menus (IVR), dialplans and call queues.
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ ovhPabx \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a PBX serviceProduction
Get a PBX service. Returns the PBX service (call queues and IVR): feature type, description and whether the extended CCS options are enabled.
Path parameters
The name of your billingAccount
Response
Description of the service
Feature of the service
aiAgentcarrierSipcloudHuntingcloudIvrconferencecontactCenterSolutioncontactCenterSolutionExpertddieasyHuntingemptyfaxfreefaxmgcpoldConferenceplugAndFaxredirectsipsvivoicefaxvoicemailvxmlDoes the service have extended CCS options enabled?
General type of the service
aliaslineExample uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ ovhPabx/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"{ "description": "string", "featureType": "aiAgent", "isCCS": true, "serviceName": "string", "serviceType": "alias"}
Update a PBX serviceProduction
Update a PBX service. Updates the description of the PBX service. Its dialplans, menus and queues are managed with their own routes.
Path parameters
The name of your billingAccount
Request body (required)
Description of the service
Feature of the service
aiAgentcarrierSipcloudHuntingcloudIvrconferencecontactCenterSolutioncontactCenterSolutionExpertddieasyHuntingemptyfaxfreefaxmgcpoldConferenceplugAndFaxredirectsipsvivoicefaxvoicemailvxmlDoes the service have extended CCS options enabled?
General type of the service
aliaslineResponse
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ ovhPabx/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"List dialplansProduction
List dialplans. Returns the identifiers of the dialplans of the PBX. A dialplan routes calls through extensions.
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ dialplan \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a dialplanProduction
Get a dialplan. Returns the dialplan: name, last update, transfer timeout, anonymous call rejection and number presented when bridging calls.
Path parameters
The name of your billingAccount
Response
Reject (hangup) anonymous calls
The dialplan name
The presented number when bridging calls
aliasbothcallerThe timeout (in seconds) when bridging calls
Example uses billingAccount = string, dialplanId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ dialplan/ {dialplanId} \
-H "authorization: Bearer $OVH_TOKEN"{ "anonymousRejection": true, "dialplanId": 0, "lastUpdate": "2024-01-01T12:00:00Z", "name": "string", "showCallerNumber": "alias", "transferTimeout": 0}
Create a dialplanProduction
Create a dialplan. Creates a dialplan on the PABX with a name, a transfer timeout, anonymous call rejection and the number presented when bridging calls.
Path parameters
The name of your billingAccount
Request body (required)
Reject (hangup) anonymous calls
The dialplan name
The presented number when bridging calls
aliasbothcallerThe timeout (in seconds) when bridging calls
Response
Reject (hangup) anonymous calls
The dialplan name
The presented number when bridging calls
aliasbothcallerThe timeout (in seconds) when bridging calls
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ dialplan \
-H "authorization: Bearer $OVH_TOKEN"{ "anonymousRejection": true, "dialplanId": 0, "lastUpdate": "2024-01-01T12:00:00Z", "name": "string", "showCallerNumber": "alias", "transferTimeout": 0}
Delete a dialplanProduction
Delete a dialplan. Deletes the dialplan and its extensions from the PABX. A dialplan holds the extensions applied to the calls received.
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, dialplanId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ dialplan/ {dialplanId} \
-H "authorization: Bearer $OVH_TOKEN"Update a dialplanProduction
Update a dialplan. Updates the dialplan name, transfer timeout, anonymous call rejection and number presented when bridging calls.
Path parameters
The name of your billingAccount
Request body (required)
Reject (hangup) anonymous calls
The dialplan name
The presented number when bridging calls
aliasbothcallerThe timeout (in seconds) when bridging calls
Response
Example uses billingAccount = string, dialplanId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ dialplan/ {dialplanId} \
-H "authorization: Bearer $OVH_TOKEN"List extensionsProduction
List extensions. Returns the identifiers of the extensions of the dialplan. An extension is a step that applies rules when its conditions match.
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, dialplanId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ dialplan/ {dialplanId}/ extension \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get an extensionProduction
Get an extension. Returns the extension: position in the dialplan, status, scheduler category and screen list type.
Path parameters
The name of your billingAccount
Response
True if the extension is enabled
The position of the extension in the dialplan (the extensions are executed following this order)
Additionnal conditions are used from this chosen scheduler category
holidaysscheduler1scheduler2scheduler3The type of the screenlist
destinationBlackListdestinationWhiteListincomingBlackListincomingWhiteListExample uses billingAccount = string, dialplanId = 0, extensionId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ dialplan/ {dialplanId}/ extension/ {extensionId} \
-H "authorization: Bearer $OVH_TOKEN"{ "enabled": true, "extensionId": 0, "position": 0, "schedulerCategory": "holidays", "screenListType": "destinationBlackList"}
Create an extensionProduction
Create an extension. Creates an extension in the dialplan at a position, enabled or not, with a scheduler category and a screen list type. Extensions run in order.
Path parameters
The name of your billingAccount
Request body (required)
True to enable the extension
The position of the extension in the dialplan (the extensions are executed following this order)
Additionnal conditions will be used from this chosen scheduler category
holidaysscheduler1scheduler2scheduler3The type of the screenlist
destinationBlackListdestinationWhiteListincomingBlackListincomingWhiteListResponse
True if the extension is enabled
The position of the extension in the dialplan (the extensions are executed following this order)
Additionnal conditions are used from this chosen scheduler category
holidaysscheduler1scheduler2scheduler3The type of the screenlist
destinationBlackListdestinationWhiteListincomingBlackListincomingWhiteListExample uses billingAccount = string, dialplanId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ dialplan/ {dialplanId}/ extension \
-H "authorization: Bearer $OVH_TOKEN"{ "enabled": true, "extensionId": 0, "position": 0, "schedulerCategory": "holidays", "screenListType": "destinationBlackList"}
Delete an extensionProduction
Delete an extension. Deletes the extension from the dialplan. The extension and its rules no longer apply to the calls received.
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, dialplanId = 0, extensionId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ dialplan/ {dialplanId}/ extension/ {extensionId} \
-H "authorization: Bearer $OVH_TOKEN"Update an extensionProduction
Update an extension. Updates the position of the extension in the dialplan, its status, its scheduler category and its screen list type.
Path parameters
The name of your billingAccount
Request body (required)
True if the extension is enabled
The position of the extension in the dialplan (the extensions are executed following this order)
Additionnal conditions are used from this chosen scheduler category
holidaysscheduler1scheduler2scheduler3The type of the screenlist
destinationBlackListdestinationWhiteListincomingBlackListincomingWhiteListResponse
Example uses billingAccount = string, dialplanId = 0, extensionId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ dialplan/ {dialplanId}/ extension/ {extensionId} \
-H "authorization: Bearer $OVH_TOKEN"List filtering conditionsProduction
List filtering conditions. Returns the identifiers of the filtering conditions of the extension, checked against the screen list type of the extension.
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, dialplanId = 0, extensionId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ dialplan/ {dialplanId}/ extension/ {extensionId}/ conditionScreenList \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a filtering conditionProduction
Get a filtering condition. Returns the filtering condition of the extension: caller number or destination number, and screen list type (whitelist or blacklist).
Path parameters
The name of your billingAccount
Response
Screenlist based on the presented caller number
Screenlist based on the destination number
Type of screenlist
destinationBlackListdestinationWhiteListincomingBlackListincomingWhiteListExample uses billingAccount = string, conditionId = 0, dialplanId = 0, extensionId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ dialplan/ {dialplanId}/ extension/ {extensionId}/ conditionScreenList/ {conditionId} \
-H "authorization: Bearer $OVH_TOKEN"{ "callerIdNumber": "string", "conditionId": 0, "destinationNumber": "string", "screenListType": "destinationBlackList"}
Create a filtering conditionProduction
Create a filtering condition. Creates a filtering condition on the caller or the called number. The screen list type sets whether matching calls are allowed or blocked.
Path parameters
The name of your billingAccount
Request body (required)
Add a screenlist based on the presented caller number
Add a screenlist based on the destination number
Type of screenlist
destinationBlackListdestinationWhiteListincomingBlackListincomingWhiteListResponse
Screenlist based on the presented caller number
Screenlist based on the destination number
Type of screenlist
destinationBlackListdestinationWhiteListincomingBlackListincomingWhiteListExample uses billingAccount = string, dialplanId = 0, extensionId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ dialplan/ {dialplanId}/ extension/ {extensionId}/ conditionScreenList \
-H "authorization: Bearer $OVH_TOKEN"{ "callerIdNumber": "string", "conditionId": 0, "destinationNumber": "string", "screenListType": "destinationBlackList"}
Delete a filtering conditionProduction
Delete a filtering condition. Deletes the filtering condition. Calls are no longer checked against its caller number or destination number.
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, conditionId = 0, dialplanId = 0, extensionId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ dialplan/ {dialplanId}/ extension/ {extensionId}/ conditionScreenList/ {conditionId} \
-H "authorization: Bearer $OVH_TOKEN"List time conditionsProduction
List time conditions. Returns the identifiers of the time conditions of the extension. The extension runs on the days and time slots they define.
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, dialplanId = 0, extensionId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ dialplan/ {dialplanId}/ extension/ {extensionId}/ conditionTime \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a time conditionProduction
Get a time condition. Returns the time condition of the extension: day of the week and the start and end times when the extension runs.
Path parameters
The name of your billingAccount
Response
The time of the day when the extension will start to be executed
The time of the day when the extension will stop to be executed
The day of the week when the extension will be executed
fridaymondaysaturdaysundaythursdaytuesdaywednesdayExample uses billingAccount = string, conditionId = 0, dialplanId = 0, extensionId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ dialplan/ {dialplanId}/ extension/ {extensionId}/ conditionTime/ {conditionId} \
-H "authorization: Bearer $OVH_TOKEN"{ "conditionId": 0, "timeFrom": "15:04:05", "timeTo": "15:04:05", "weekDay": "friday"}
Create a time conditionProduction
Create a time condition. Creates a time condition on the extension: a day of the week and the start and end times when the extension runs.
Path parameters
The name of your billingAccount
Request body (required)
The time of the day when the extension will start to be executed
The time of the day when the extension will stop to be executed
The day of the week when the extension will be executed
fridaymondaysaturdaysundaythursdaytuesdaywednesdayResponse
The time of the day when the extension will start to be executed
The time of the day when the extension will stop to be executed
The day of the week when the extension will be executed
fridaymondaysaturdaysundaythursdaytuesdaywednesdayExample uses billingAccount = string, dialplanId = 0, extensionId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ dialplan/ {dialplanId}/ extension/ {extensionId}/ conditionTime \
-H "authorization: Bearer $OVH_TOKEN"{ "conditionId": 0, "timeFrom": "15:04:05", "timeTo": "15:04:05", "weekDay": "friday"}
Delete a time conditionProduction
Delete a time condition. Deletes the time condition of the extension. Its day and time slot no longer restrict when the extension runs.
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, conditionId = 0, dialplanId = 0, extensionId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ dialplan/ {dialplanId}/ extension/ {extensionId}/ conditionTime/ {conditionId} \
-H "authorization: Bearer $OVH_TOKEN"Update a time conditionProduction
Update a time condition. Updates the day of the week and the start and end times when the extension of the dialplan runs.
Path parameters
The name of your billingAccount
Request body (required)
The time of the day when the extension will start to be executed
The time of the day when the extension will stop to be executed
The day of the week when the extension will be executed
fridaymondaysaturdaysundaythursdaytuesdaywednesdayResponse
Example uses billingAccount = string, conditionId = 0, dialplanId = 0, extensionId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ dialplan/ {dialplanId}/ extension/ {extensionId}/ conditionTime/ {conditionId} \
-H "authorization: Bearer $OVH_TOKEN"List extension rulesProduction
List extension rules. Returns the identifiers of the rules of the extension. A rule is an action, such as play a sound or forward the call.
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, dialplanId = 0, extensionId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ dialplan/ {dialplanId}/ extension/ {extensionId}/ rule \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get an extension ruleProduction
Get an extension rule. Returns the rule: action (such as playback, bridge, voicemail or TTS), parameter, position and whether it runs when the conditions are false.
Path parameters
The name of your billingAccount
Response
The action made by the rule
bridgeendless_playbackhanguphuntingivrplaybackreadDtmfsetCallerNamesleepttsvoicemailThe parameter of the chosen action
If true, the rule will be executed only when the result of the conditions is false
The position of the rule in the extension (the rules are executed following this order)
Example uses billingAccount = string, dialplanId = 0, extensionId = 0, ruleId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ dialplan/ {dialplanId}/ extension/ {extensionId}/ rule/ {ruleId} \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "bridge", "actionParam": "string", "negativeAction": true, "position": 0, "ruleId": 0}
Create an extension ruleProduction
Create an extension rule. Creates a rule in the extension: an action such as playback, bridge, IVR, voicemail or TTS, its parameter and its position.
Path parameters
The name of your billingAccount
Request body (required)
The action made by the rule
bridgeendless_playbackhanguphuntingivrplaybackreadDtmfsetCallerNamesleepttsvoicemailThe parameter of the chosen action
If true, the rule will be executed only when the result of the conditions is false
The position of the rule in the extension (the rules are executed following this order)
Response
The action made by the rule
bridgeendless_playbackhanguphuntingivrplaybackreadDtmfsetCallerNamesleepttsvoicemailThe parameter of the chosen action
If true, the rule will be executed only when the result of the conditions is false
The position of the rule in the extension (the rules are executed following this order)
Example uses billingAccount = string, dialplanId = 0, extensionId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ dialplan/ {dialplanId}/ extension/ {extensionId}/ rule \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "bridge", "actionParam": "string", "negativeAction": true, "position": 0, "ruleId": 0}
Delete an extension ruleProduction
Delete an extension rule. Deletes the rule from the extension of the dialplan. Its action no longer runs when the extension is executed.
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, dialplanId = 0, extensionId = 0, ruleId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ dialplan/ {dialplanId}/ extension/ {extensionId}/ rule/ {ruleId} \
-H "authorization: Bearer $OVH_TOKEN"Update an extension ruleProduction
Update an extension rule. Updates the action of the rule, its parameter, its position in the extension and whether it runs when the conditions are false.
Path parameters
The name of your billingAccount
Request body (required)
The action made by the rule
bridgeendless_playbackhanguphuntingivrplaybackreadDtmfsetCallerNamesleepttsvoicemailThe parameter of the chosen action
If true, the rule will be executed only when the result of the conditions is false
The position of the rule in the extension (the rules are executed following this order)
Response
Example uses billingAccount = string, dialplanId = 0, extensionId = 0, ruleId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ dialplan/ {dialplanId}/ extension/ {extensionId}/ rule/ {ruleId} \
-H "authorization: Bearer $OVH_TOKEN"Get the queue system settingsProduction
Get the queue system settings. Returns the queue system settings of the service: offer name, CRM URL template opened by the agent banner, G729 codec and status change IVR.
Path parameters
The name of your billingAccount
Response
The templated url of your CRM, opened by the banner application of your cloudpabx
Enable G729 codec on your callcenter
The name of your callcenter offer
Enable/Disable the status change IVR on your callcenter. The IVR is enabled by default.
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ hunting \
-H "authorization: Bearer $OVH_TOKEN"{ "crmUrlTemplate": "string", "g729": true, "name": "string", "statusIvrEnabled": true}
Update the queue system settingsProduction
Update the queue system settings. Updates the queue system settings: the CRM URL template opened by the agent banner, the G729 codec and the status change IVR.
Path parameters
The name of your billingAccount
Request body (required)
The templated url of your CRM, opened by the banner application of your cloudpabx
Enable G729 codec on your callcenter
The name of your callcenter offer
Enable/Disable the status change IVR on your callcenter. The IVR is enabled by default.
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ hunting \
-H "authorization: Bearer $OVH_TOKEN"List agentsProduction
List agents. Returns the identifiers of the agents. An agent is a phone number that answers the calls of one or several queues.
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ hunting/ agent \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get an agentProduction
Get an agent. Returns the agent: number, description, status, break status, type (internal or external), ring timeout, wrap-up time and simultaneous calls.
Path parameters
The name of your billingAccount
Response
The id of the current break status of the agent
The agent's description
The number of the agent
The maximum of simultaneous calls that the agent will receive from the hunting
The current status of the agent
availableloggedOutonBreakThe waiting timeout (in seconds) before hangup an assigned called
The agent's type
externalinternalThe wrap up time (in seconds) after the calls
Example uses agentId = 0, billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ hunting/ agent/ {agentId} \
-H "authorization: Bearer $OVH_TOKEN"{ "agentId": 0, "breakStatus": 0, "description": "string", "number": "string", "simultaneousLines": 0, "status": "available", "timeout": 0, "type": "external", "wrapUpTime": 0}
Create an agentProduction
Create an agent. Creates an agent: a number that answers calls from the queues. Sets its status, ring timeout, wrap-up time and maximum simultaneous calls.
Path parameters
The name of your billingAccount
Request body (required)
The agent's description
The number of the agent
The maximum of simultaneous calls that the agent will receive from the hunting
The current status of the agent
availableloggedOutonBreakThe waiting timeout (in seconds) before hangup for an assigned called
The wrap up time (in seconds) after the calls
Response
The id of the current break status of the agent
The agent's description
The number of the agent
The maximum of simultaneous calls that the agent will receive from the hunting
The current status of the agent
availableloggedOutonBreakThe waiting timeout (in seconds) before hangup an assigned called
The agent's type
externalinternalThe wrap up time (in seconds) after the calls
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ hunting/ agent \
-H "authorization: Bearer $OVH_TOKEN"{ "agentId": 0, "breakStatus": 0, "description": "string", "number": "string", "simultaneousLines": 0, "status": "available", "timeout": 0, "type": "external", "wrapUpTime": 0}
Delete an agentProduction
Delete an agent. Deletes the agent. It is removed from all its queues and no longer receives calls from the queue system.
Path parameters
The name of your billingAccount
Response
Example uses agentId = 0, billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ hunting/ agent/ {agentId} \
-H "authorization: Bearer $OVH_TOKEN"Update an agentProduction
Update an agent. Updates the agent: number, description, status (available, logged out or on break), break status, ring timeout, wrap-up time and simultaneous calls.
Path parameters
The name of your billingAccount
Request body (required)
The id of the current break status of the agent
The agent's description
The number of the agent
The maximum of simultaneous calls that the agent will receive from the hunting
The current status of the agent
availableloggedOutonBreakThe waiting timeout (in seconds) before hangup an assigned called
The agent's type
externalinternalThe wrap up time (in seconds) after the calls
Response
Example uses agentId = 0, billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ hunting/ agent/ {agentId} \
-H "authorization: Bearer $OVH_TOKEN"List agent callsProduction
List agent calls. Returns the identifiers of the calls the agent is handling. Get a live call for its caller, queue, state and dates.
Path parameters
The name of your billingAccount
Response
Example uses agentId = 0, billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ hunting/ agent/ {agentId}/ calls \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a live callProduction
Get a live call. Returns the live call: caller number and name, destination number, agent, queue, state (waiting or answered), hold status and begin, answer and end dates.
Path parameters
The name of your billingAccount
Id of the object
Response
Name or number of the agent who answered the call
Answer date of the call
Begin date of the call
Name of the caller (or anonymous if unknown)
Phone number of the caller (or anonymous if unknown)
Phone number called (in case of an outgoing call)
End date of the call
Whether or not the call is on hold
Name of the queue of the call
Current state of the call
AnsweredWaitingExample uses agentId = 0, billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ hunting/ agent/ {agentId}/ calls/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "agent": "string", "answered": "2024-01-01T12:00:00Z", "begin": "2024-01-01T12:00:00Z", "callerIdName": "string", "callerIdNumber": "string", "destinationNumber": "string", "end": "2024-01-01T12:00:00Z", "id": 0, "onHold": true, "queue": "string", "state": "Answered"}
Eavesdrop on a callProduction
Eavesdrop on a call. Listens to the live call without being heard. The given phone number is called and bridged in the communication. Returns the task that performs it.
Path parameters
The name of your billingAccount
Id of the object
Request body (required)
Phone number that will be called and bridged in the communication
Response
Action associated with the task
Potential failure reason of the task
Object potentially created at the end of the task
Status of the task
doingdoneerrorpausetodoExample uses agentId = 0, billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ hunting/ agent/ {agentId}/ calls/ {id}/ eavesdrop \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}
Hang up a callProduction
Hang up a call. Ends the live call for all participants, the caller and the agent. Returns the task that performs the hang up.
Path parameters
The name of your billingAccount
Id of the object
Response
Action associated with the task
Potential failure reason of the task
Object potentially created at the end of the task
Status of the task
doingdoneerrorpausetodoExample uses agentId = 0, billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ hunting/ agent/ {agentId}/ calls/ {id}/ hangup \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}
Toggle hold on a callProduction
Toggle hold on a call. Puts the live call on hold, or resumes it if it is already on hold. Returns the task that performs it.
Path parameters
The name of your billingAccount
Id of the object
Response
Action associated with the task
Potential failure reason of the task
Object potentially created at the end of the task
Status of the task
doingdoneerrorpausetodoExample uses agentId = 0, billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ hunting/ agent/ {agentId}/ calls/ {id}/ hold \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}
Intercept an unanswered callProduction
Intercept an unanswered call. Answers a call that is ringing on another line. The given phone number is called and takes the communication. Returns the task that performs it.
Path parameters
The name of your billingAccount
Id of the object
Request body (required)
Phone number that will be called and that will intercept the communication
Response
Action associated with the task
Potential failure reason of the task
Object potentially created at the end of the task
Status of the task
doingdoneerrorpausetodoExample uses agentId = 0, billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ hunting/ agent/ {agentId}/ calls/ {id}/ intercept \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}
Transfer an answered callProduction
Transfer an answered call. Transfers the answered call to another phone number, given as a parameter. Returns the task that performs the transfer.
Path parameters
The name of your billingAccount
Id of the object
Request body (required)
Phone number to whom the communication will be transfered
Response
Action associated with the task
Potential failure reason of the task
Object potentially created at the end of the task
Status of the task
doingdoneerrorpausetodoExample uses agentId = 0, billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ hunting/ agent/ {agentId}/ calls/ {id}/ transfer \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}
Whisper on a callProduction
Whisper on a call. Speaks during the live call from the given phone number, heard by the agent only or by all participants, depending on the whispering mode.
Path parameters
The name of your billingAccount
Id of the object
Request body (required)
Phone number that will be called and bridged in the communication
Whispering mode
Whisper to agent onlyWhisper to all participantsResponse
Action associated with the task
Potential failure reason of the task
Object potentially created at the end of the task
Status of the task
doingdoneerrorpausetodoExample uses agentId = 0, billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ hunting/ agent/ {agentId}/ calls/ {id}/ whisper \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}
Get the event tokenProduction
Get the event token. Returns the token used to receive real-time call events. Create a new token when it is missing or expired.
Path parameters
The name of your billingAccount
Response
Example uses agentId = 0, billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ hunting/ agent/ {agentId}/ eventToken \
-H "authorization: Bearer $OVH_TOKEN"{ "token": "string"}
Create an event tokenProduction
Create an event token. Creates a token to receive real-time call events, valid 5 minutes, 1 hour, 1 day, 30 days or without limit. Returns the token.
Path parameters
The name of your billingAccount
Request body (required)
Time to live in seconds for the token
1 day1 hour30 days5 minutesunlimitedResponse
Example uses agentId = 0, billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ hunting/ agent/ {agentId}/ eventToken \
-H "authorization: Bearer $OVH_TOKEN""string"
Delete the event tokenProduction
Delete the event token. Deletes the event token. It can no longer be used to receive real-time call events.
Path parameters
The name of your billingAccount
Response
Example uses agentId = 0, billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ hunting/ agent/ {agentId}/ eventToken \
-H "authorization: Bearer $OVH_TOKEN"Get the agent live statusProduction
Get the agent live status. Returns the live status of the agent: state, last status change, and the number and total duration of the calls taken on the current day.
Path parameters
The name of your billingAccount
Response
The number of calls this agent took on the current day
Last status change date
Current status of the agent
inAQueueCallloggedOutonBreakreceivingwaitingThe total duration in seconds of the calls this agent took on the current day
Example uses agentId = 0, billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ hunting/ agent/ {agentId}/ liveStatus \
-H "authorization: Bearer $OVH_TOKEN"{ "answeredCalls": 0, "lastStatusChange": "2024-01-01T12:00:00Z", "status": "inAQueueCall", "totalCallDuration": 0}
List the queues of an agentProduction
List the queues of an agent. Returns the identifiers of the queues the agent belongs to. Get an agent position in a queue to see its order in that queue.
Path parameters
The name of your billingAccount
Response
Example uses agentId = 0, billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ hunting/ agent/ {agentId}/ queue \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get an agent position in a queueProduction
Get an agent position in a queue. Returns the position of the agent in the queue. The position sets the order in which agents receive calls, depending on the queue strategy.
Path parameters
The name of your billingAccount
Response
The position in the queue
Example uses agentId = 0, billingAccount = string, queueId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ hunting/ agent/ {agentId}/ queue/ {queueId} \
-H "authorization: Bearer $OVH_TOKEN"{ "agentId": 0, "position": 0, "queueId": 0}
Assign an agent to a queueProduction
Assign an agent to a queue. Adds an agent to a queue, with a position. The position sets the order in which agents receive calls, depending on the queue strategy.
Path parameters
The name of your billingAccount
Request body (required)
The position of the agent in the queue
The queue where you want to add the agent
Response
The position in the queue
Example uses agentId = 0, billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ hunting/ agent/ {agentId}/ queue \
-H "authorization: Bearer $OVH_TOKEN"{ "agentId": 0, "position": 0, "queueId": 0}
Remove an agent from a queueProduction
Remove an agent from a queue. Removes the agent from the queue. The agent no longer receives calls from this queue but stays assigned to its other queues.
Path parameters
The name of your billingAccount
Response
Example uses agentId = 0, billingAccount = string, queueId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ hunting/ agent/ {agentId}/ queue/ {queueId} \
-H "authorization: Bearer $OVH_TOKEN"Update an agent position in a queueProduction
Update an agent position in a queue. Updates the position of the agent in the queue. The position sets the order in which agents receive calls, depending on the queue strategy.
Path parameters
The name of your billingAccount
Request body (required)
The position in the queue
Response
Example uses agentId = 0, billingAccount = string, queueId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ hunting/ agent/ {agentId}/ queue/ {queueId} \
-H "authorization: Bearer $OVH_TOKEN"Get the agent live statusProduction
Get the agent live status. Returns the live status of the agent: state, last status change, and the number and total duration of the calls taken on the current day.
Path parameters
The name of your billingAccount
Response
The number of calls this agent took on the current day
Last status change date
Current status of the agent
inAQueueCallloggedOutonBreakreceivingwaitingThe total duration in seconds of the calls this agent took on the current day
Example uses agentId = 0, billingAccount = string, queueId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ hunting/ agent/ {agentId}/ queue/ {queueId}/ liveStatus \
-H "authorization: Bearer $OVH_TOKEN"{ "answeredCalls": 0, "lastStatusChange": "2024-01-01T12:00:00Z", "status": "inAQueueCall", "totalCallDuration": 0}
List custom statusesProduction
List custom statuses. Returns the identifiers of the custom statuses agents can set, such as a break. Each status has a name, a description and a color.
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ hunting/ customStatus \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a custom statusProduction
Get a custom status. Returns the custom status: name, short description and color displayed on the agent banner web application.
Path parameters
The name of your billingAccount
Response
The color (in hexadecimal) of the status that will be displayed on agent banner web application
A short description of the status
The name of the status (Pause, Mission, etc...)
Example uses billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ hunting/ customStatus/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "color": "string", "description": "string", "id": 0, "name": "string"}
Create a custom statusProduction
Create a custom status. Creates a custom status agents can set, such as a break. Sets its name, short description and the color shown on the agent banner.
Path parameters
The name of your billingAccount
Request body (required)
The color (in hexadecimal) of the status that will be displayed on agent banner web application
A short description of the status
The name of the status (Pause, Mission, etc...)
Response
The color (in hexadecimal) of the status that will be displayed on agent banner web application
A short description of the status
The name of the status (Pause, Mission, etc...)
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ hunting/ customStatus \
-H "authorization: Bearer $OVH_TOKEN"{ "color": "string", "description": "string", "id": 0, "name": "string"}
Delete a custom statusProduction
Delete a custom status. Deletes the custom status. Agents can no longer select it on the agent banner web application.
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ hunting/ customStatus/ {id} \
-H "authorization: Bearer $OVH_TOKEN"Get the event tokenProduction
Get the event token. Returns the token used to receive real-time call events. Create a new token when it is missing or expired.
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ hunting/ eventToken \
-H "authorization: Bearer $OVH_TOKEN"{ "token": "string"}
Create an event tokenProduction
Create an event token. Creates a token to receive real-time call events, valid 5 minutes, 1 hour, 1 day, 30 days or without limit. Returns the token.
Path parameters
The name of your billingAccount
Request body (required)
Time to live in seconds for the token
1 day1 hour30 days5 minutesunlimitedResponse
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ hunting/ eventToken \
-H "authorization: Bearer $OVH_TOKEN""string"
Delete the event tokenProduction
Delete the event token. Deletes the event token. It can no longer be used to receive real-time call events.
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ hunting/ eventToken \
-H "authorization: Bearer $OVH_TOKEN"List queuesProduction
List queues. Returns the identifiers of the queues. A queue holds incoming calls and dispatches them to its agents with a strategy.
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ hunting/ queue \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a queueProduction
Get a queue. Returns the queue: name, strategy, maximum waiting callers and wait time, sound on hold, call recording, and actions on overflow and on closure.
Path parameters
The name of your billingAccount
Response
Action executed when there is no member in queue
playbackvoicemailThe additionnal parameter of the on closure action
Action executed when caller enters a full queue
playbackvoicemailThe additionnal parameter of the overflow action
Allow the caller to disable call record by pressing a key
The key that tells the IVR that digit-entry is finished. Also used as a "repeat" key in the menus when no input is expected.
#*0123456789The name of the queue
Follow the calls forwarding
The maximum of people waiting in the queue
The maximum waiting time (in seconds) in the queue
Enable record on calls in queue
Key to press to disable record
0123456789Language of the sound played to the caller to inform that he can disable record
englishfrenchThe id of the OvhPabxSound played to caller when on hold
The calls dispatching strategy
cumulationByAgentOrderlongestHangupAgentlongestIdleAgentrandomringAllroundRobinsequentiallyByAgentOrderExample uses billingAccount = string, queueId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ hunting/ queue/ {queueId} \
-H "authorization: Bearer $OVH_TOKEN"{ "actionOnClosure": "playback", "actionOnClosureParam": "string", "actionOnOverflow": "playback", "actionOnOverflowParam": "string", "askForRecordDisabling": true, "confirmKey": "#", "description": "string", "followCallForwards": true, "maxMember": 0, "maxWaitTime": 0, "queueId": 0, "record": true, "recordDisablingDigit": 0, "recordDisablingLanguage": "english", "soundOnHold": 0, "strategy": "cumulationByAgentOrder"}
Create a queueProduction
Create a queue. Creates a queue that distributes calls to its agents. Sets the dispatching strategy, the maximum wait time and callers, and the overflow and closure actions.
Path parameters
The name of your billingAccount
Request body (required)
Action executed when there is no member in queue
playbackvoicemailThe additionnal parameter of the on closure action
Action executed when caller enters a full queue
playbackvoicemailThe additionnal parameter of the overflow action
Allow the caller to disable call record by pressing a key
The name of the queue
The maximum of people waiting in the queue
The maximum waiting time (in seconds) in the queue
Enable record on calls in queue
Key to press to disable record
0123456789Language of the sound played to the caller to inform that he can disable record
englishfrenchThe id of the OvhPabxSound played to caller when on hold
The calls dispatching strategy
cumulationByAgentOrderlongestHangupAgentlongestIdleAgentrandomringAllroundRobinsequentiallyByAgentOrderResponse
Action executed when there is no member in queue
playbackvoicemailThe additionnal parameter of the on closure action
Action executed when caller enters a full queue
playbackvoicemailThe additionnal parameter of the overflow action
Allow the caller to disable call record by pressing a key
The key that tells the IVR that digit-entry is finished. Also used as a "repeat" key in the menus when no input is expected.
#*0123456789The name of the queue
Follow the calls forwarding
The maximum of people waiting in the queue
The maximum waiting time (in seconds) in the queue
Enable record on calls in queue
Key to press to disable record
0123456789Language of the sound played to the caller to inform that he can disable record
englishfrenchThe id of the OvhPabxSound played to caller when on hold
The calls dispatching strategy
cumulationByAgentOrderlongestHangupAgentlongestIdleAgentrandomringAllroundRobinsequentiallyByAgentOrderExample uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ hunting/ queue \
-H "authorization: Bearer $OVH_TOKEN"{ "actionOnClosure": "playback", "actionOnClosureParam": "string", "actionOnOverflow": "playback", "actionOnOverflowParam": "string", "askForRecordDisabling": true, "confirmKey": "#", "description": "string", "followCallForwards": true, "maxMember": 0, "maxWaitTime": 0, "queueId": 0, "record": true, "recordDisablingDigit": 0, "recordDisablingLanguage": "english", "soundOnHold": 0, "strategy": "cumulationByAgentOrder"}
Delete a queueProduction
Delete a queue. Deletes the queue. Its agents are no longer assigned to it, and calls are no longer dispatched through it.
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, queueId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ hunting/ queue/ {queueId} \
-H "authorization: Bearer $OVH_TOKEN"Update a queueProduction
Update a queue. Updates the queue: name, dispatching strategy, maximum waiting callers and wait time, sound on hold, call recording and overflow and closure actions.
Path parameters
The name of your billingAccount
Request body (required)
Action executed when there is no member in queue
playbackvoicemailThe additionnal parameter of the on closure action
Action executed when caller enters a full queue
playbackvoicemailThe additionnal parameter of the overflow action
Allow the caller to disable call record by pressing a key
The key that tells the IVR that digit-entry is finished. Also used as a "repeat" key in the menus when no input is expected.
#*0123456789The name of the queue
Follow the calls forwarding
The maximum of people waiting in the queue
The maximum waiting time (in seconds) in the queue
Enable record on calls in queue
Key to press to disable record
0123456789Language of the sound played to the caller to inform that he can disable record
englishfrenchThe id of the OvhPabxSound played to caller when on hold
The calls dispatching strategy
cumulationByAgentOrderlongestHangupAgentlongestIdleAgentrandomringAllroundRobinsequentiallyByAgentOrderResponse
Example uses billingAccount = string, queueId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ hunting/ queue/ {queueId} \
-H "authorization: Bearer $OVH_TOKEN"List the agents of a queueProduction
List the agents of a queue. Returns the identifiers of the agents of the queue. Get an agent position in the queue to see the order in which agents receive calls.
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, queueId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ hunting/ queue/ {queueId}/ agent \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get an agent position in a queueProduction
Get an agent position in a queue. Returns the position of the agent in the queue. The position sets the order in which agents receive calls, depending on the queue strategy.
Path parameters
The name of your billingAccount
Response
The position in the queue
Example uses agentId = 0, billingAccount = string, queueId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ hunting/ queue/ {queueId}/ agent/ {agentId} \
-H "authorization: Bearer $OVH_TOKEN"{ "agentId": 0, "position": 0, "queueId": 0}
Assign an agent to a queueProduction
Assign an agent to a queue. Adds an agent to a queue, with a position. The position sets the order in which agents receive calls, depending on the queue strategy.
Path parameters
The name of your billingAccount
Request body (required)
The position of the agent in the queue
The queue where you want to add the agent
Response
The position in the queue
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ hunting/ queue/ {queueId}/ agent \
-H "authorization: Bearer $OVH_TOKEN"{ "agentId": 0, "position": 0, "queueId": 0}
Remove an agent from a queueProduction
Remove an agent from a queue. Removes the agent from the queue. The agent no longer receives calls from this queue but stays assigned to its other queues.
Path parameters
The name of your billingAccount
Response
Example uses agentId = 0, billingAccount = string, queueId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ hunting/ queue/ {queueId}/ agent/ {agentId} \
-H "authorization: Bearer $OVH_TOKEN"Update an agent position in a queueProduction
Update an agent position in a queue. Updates the position of the agent in the queue. The position sets the order in which agents receive calls, depending on the queue strategy.
Path parameters
The name of your billingAccount
Request body (required)
The position in the queue
Response
Example uses agentId = 0, billingAccount = string, queueId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ hunting/ queue/ {queueId}/ agent/ {agentId} \
-H "authorization: Bearer $OVH_TOKEN"Get the agent live statusProduction
Get the agent live status. Returns the live status of the agent: state, last status change, and the number and total duration of the calls taken on the current day.
Path parameters
The name of your billingAccount
Response
The number of calls this agent took on the current day
Last status change date
Current status of the agent
inAQueueCallloggedOutonBreakreceivingwaitingThe total duration in seconds of the calls this agent took on the current day
Example uses agentId = 0, billingAccount = string, queueId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ hunting/ queue/ {queueId}/ agent/ {agentId}/ liveStatus \
-H "authorization: Bearer $OVH_TOKEN"{ "answeredCalls": 0, "lastStatusChange": "2024-01-01T12:00:00Z", "status": "inAQueueCall", "totalCallDuration": 0}
List queue live callsProduction
List queue live calls. Returns the identifiers of the calls waiting or answered in the queue. Get a live call for its caller, agent, state and dates.
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, queueId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ hunting/ queue/ {queueId}/ liveCalls \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a live callProduction
Get a live call. Returns the live call: caller number and name, destination number, agent, queue, state (waiting or answered), hold status and begin, answer and end dates.
Path parameters
The name of your billingAccount
Id of the object
Response
Name or number of the agent who answered the call
Answer date of the call
Begin date of the call
Name of the caller (or anonymous if unknown)
Phone number of the caller (or anonymous if unknown)
Phone number called (in case of an outgoing call)
End date of the call
Whether or not the call is on hold
Name of the queue of the call
Current state of the call
AnsweredWaitingExample uses billingAccount = string, id = 0, queueId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ hunting/ queue/ {queueId}/ liveCalls/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "agent": "string", "answered": "2024-01-01T12:00:00Z", "begin": "2024-01-01T12:00:00Z", "callerIdName": "string", "callerIdNumber": "string", "destinationNumber": "string", "end": "2024-01-01T12:00:00Z", "id": 0, "onHold": true, "queue": "string", "state": "Answered"}
Eavesdrop on a callProduction
Eavesdrop on a call. Listens to the live call without being heard. The given phone number is called and bridged in the communication. Returns the task that performs it.
Path parameters
The name of your billingAccount
Id of the object
Request body (required)
Phone number that will be called and bridged in the communication
Response
Action associated with the task
Potential failure reason of the task
Object potentially created at the end of the task
Status of the task
doingdoneerrorpausetodoExample uses billingAccount = string, id = 0, queueId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ hunting/ queue/ {queueId}/ liveCalls/ {id}/ eavesdrop \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}
Hang up a callProduction
Hang up a call. Ends the live call for all participants, the caller and the agent. Returns the task that performs the hang up.
Path parameters
The name of your billingAccount
Id of the object
Response
Action associated with the task
Potential failure reason of the task
Object potentially created at the end of the task
Status of the task
doingdoneerrorpausetodoExample uses billingAccount = string, id = 0, queueId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ hunting/ queue/ {queueId}/ liveCalls/ {id}/ hangup \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}
Toggle hold on a callProduction
Toggle hold on a call. Puts the live call on hold, or resumes it if it is already on hold. Returns the task that performs it.
Path parameters
The name of your billingAccount
Id of the object
Response
Action associated with the task
Potential failure reason of the task
Object potentially created at the end of the task
Status of the task
doingdoneerrorpausetodoExample uses billingAccount = string, id = 0, queueId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ hunting/ queue/ {queueId}/ liveCalls/ {id}/ hold \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}
Intercept an unanswered callProduction
Intercept an unanswered call. Answers a call that is ringing on another line. The given phone number is called and takes the communication. Returns the task that performs it.
Path parameters
The name of your billingAccount
Id of the object
Request body (required)
Phone number that will be called and that will intercept the communication
Response
Action associated with the task
Potential failure reason of the task
Object potentially created at the end of the task
Status of the task
doingdoneerrorpausetodoExample uses billingAccount = string, id = 0, queueId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ hunting/ queue/ {queueId}/ liveCalls/ {id}/ intercept \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}
Transfer an answered callProduction
Transfer an answered call. Transfers the answered call to another phone number, given as a parameter. Returns the task that performs the transfer.
Path parameters
The name of your billingAccount
Id of the object
Request body (required)
Phone number to whom the communication will be transfered
Response
Action associated with the task
Potential failure reason of the task
Object potentially created at the end of the task
Status of the task
doingdoneerrorpausetodoExample uses billingAccount = string, id = 0, queueId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ hunting/ queue/ {queueId}/ liveCalls/ {id}/ transfer \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}
Whisper on a callProduction
Whisper on a call. Speaks during the live call from the given phone number, heard by the agent only or by all participants, depending on the whispering mode.
Path parameters
The name of your billingAccount
Id of the object
Request body (required)
Phone number that will be called and bridged in the communication
Whispering mode
Whisper to agent onlyWhisper to all participantsResponse
Action associated with the task
Potential failure reason of the task
Object potentially created at the end of the task
Status of the task
doingdoneerrorpausetodoExample uses billingAccount = string, id = 0, queueId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ hunting/ queue/ {queueId}/ liveCalls/ {id}/ whisper \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}
Get queue live statisticsProduction
Get queue live statistics. Returns the live statistics of the queue since the last reset at midnight: total, answered and lost calls, and total waiting and call durations.
Path parameters
The name of your billingAccount
Response
Total of calls answered
Total of calls lost
Total of calls
Last reset datetime of queue's statistics
Total call duration in seconds
Total waiting duration in seconds
Example uses billingAccount = string, queueId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ hunting/ queue/ {queueId}/ liveStatistics \
-H "authorization: Bearer $OVH_TOKEN"{ "callsAnswered": 0, "callsLost": 0, "callsTotal": 0, "lastReset": "2024-01-01T12:00:00Z", "totalCallDuration": 0, "totalWaitingDuration": 0}
List call recordingsProduction
List call recordings. Returns the identifiers of the recordings of the calls handled by the service. Get a call recording for its details.
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ records \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a call recordingProduction
Get a call recording. Returns the call recording and the URL to download it, with the caller and destination numbers, agent, start and end dates and duration.
Path parameters
The name of your billingAccount
Response
The agent number of the recorded call
The end date of the recorded call
The begin date of the recorded call
The caller name of the recorded call
The caller number of the recorded call
The destination number of the recorded call
The duration in seconds of the recorded call
The record sound url
Example uses billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ records/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "agent": "string", "callEnd": "2024-01-01T12:00:00Z", "callStart": "2024-01-01T12:00:00Z", "callerIdName": "string", "callerIdNumber": "string", "destinationNumber": "string", "duration": 0, "fileUrl": "string", "id": 0}
Delete a call recordingProduction
Delete a call recording. Deletes the call recording of the service. Its sound file can no longer be downloaded from its URL.
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ records/ {id} \
-H "authorization: Bearer $OVH_TOKEN"List soundsProduction
List sounds. Returns the identifiers of the sound files of the service. Add a sound with the soundUpload call, from /me/document or a URL.
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ sound \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a soundProduction
Get a sound. Returns the sound of the service: its identifier and filename. Sounds are played by queues and voice menus.
Path parameters
The name of your billingAccount
Response
The sound filename
Example uses billingAccount = string, serviceName = string, soundId = 0
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ sound/ {soundId} \
-H "authorization: Bearer $OVH_TOKEN"{ "name": "string", "soundId": 0}
Delete a soundProduction
Delete a sound. Deletes the sound of the service, identified by its ID. Queues and voice menus can no longer play it.
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, serviceName = string, soundId = 0
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ sound/ {soundId} \
-H "authorization: Bearer $OVH_TOKEN"Upload a soundProduction
Upload a sound. Uploads a sound file to the service, from a /me/document identifier or a URL, with an optional name. Returns the task that performs it.
Path parameters
The name of your billingAccount
Request body (required)
ID of the /me/document file you want to import
The name you want to give to your file
URL of the file you want to import (instead of /me/document ID)
Response
Action associated with the task
Potential failure reason of the task
Object potentially created at the end of the task
Status of the task
doingdoneerrorpausetodoExample uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ soundUpload \
-H "authorization: Bearer $OVH_TOKEN"{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}
List TTS promptsProduction
List TTS prompts. Returns the identifiers of the text to speech prompts of the PBX. A prompt is a text read by a synthetic voice.
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ tts \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a TTS promptProduction
Get a TTS prompt. Returns the text to speech prompt: the text played and the voice that reads it (Helene, Loic, Jenny or Bruce).
Path parameters
The name of your billingAccount
Response
The text that will be played
The voice used to say text
BruceHeleneJennyLoicExample uses billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ tts/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "id": 0, "text": "string", "voice": "Bruce"}
Create a TTS promptProduction
Create a TTS prompt. Creates a text to speech prompt: a text read by a synthetic voice. The voice is Helene, Loic, Jenny or Bruce.
Path parameters
The name of your billingAccount
Request body (required)
Voice to use for your text to speech
BruceHeleneJennyLoicResponse
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ tts \
-H "authorization: Bearer $OVH_TOKEN"Delete a TTS promptProduction
Delete a TTS prompt. Deletes the text to speech prompt. It can no longer be played by the voice menus of the PBX.
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ tts/ {id} \
-H "authorization: Bearer $OVH_TOKEN"Update a TTS promptProduction
Update a TTS prompt. Updates the text to speech prompt: the text played and the voice that reads it (Helene, Loic, Jenny or Bruce).
Path parameters
The name of your billingAccount
Request body (required)
The text that will be played
The voice used to say text
BruceHeleneJennyLoicResponse
Example uses billingAccount = string, id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ ovhPabx/ {serviceName}/ tts/ {id} \
-H "authorization: Bearer $OVH_TOKEN"List VXML servicesProduction
List VXML services. Returns the VXML services of the billing account. A VXML service runs a voice application hosted on a web server.
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ vxml \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a VXML serviceProduction
Get a VXML service. Returns the VXML service: description and offers. The VXML application URLs are in its settings.
Path parameters
The name of your billingAccount
Response
All existing types
aliaslineExample uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ vxml/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"{ "description": "string", "offers": [ "string" ], "serviceName": "string", "serviceType": "alias"}
Get the VXML settingsProduction
Get the VXML settings. Returns the VXML settings: URL of the VXML application and URL used for recordings.
Path parameters
The name of your billingAccount
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ vxml/ {serviceName}/ settings \
-H "authorization: Bearer $OVH_TOKEN"{ "url": "string", "urlRecord": "string"}
Update the VXML settingsProduction
Update the VXML settings. Updates the URL of the VXML application and the URL used for recordings of the VXML service.
Path parameters
The name of your billingAccount
Request body (required)
Response
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ vxml/ {serviceName}/ settings \
-H "authorization: Bearer $OVH_TOKEN"Generate a logs URLProduction
Generate a logs URL. Generates a temporary URL to download the logs of the VXML service. Returns the URL and its expiration date.
Path parameters
The name of your billingAccount
Response
Temporary url expiration date
Temporary url
Example uses billingAccount = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ telephony/ {billingAccount}/ vxml/ {serviceName}/ settings/ logs \
-H "authorization: Bearer $OVH_TOKEN"{ "expirationDate": "2024-01-01T12:00:00Z", "url": "string"}